NX Open C++ Reference Guide
|
This class is used to construct the add remove box view Builder
To create a new instance of this class, use Drawings::DraftingViewCollection::CreateAddRemoveBoxViewBuilder
Created in NX8.0.0.
More...
Public Types | |
enum | ModeType { ModeTypeAdd, ModeTypeRemove } |
Mode type. More... | |
Public Member Functions | |
NXOpen::Drawings::AddRemoveBoxViewBuilder::ModeType | Mode () |
Returns the mode type Created in NX8.0.0. | |
NXOpen::ModelingView * | SelectedView () |
Returns the selected view Created in NX8.0.0. | |
void | SetMode (NXOpen::Drawings::AddRemoveBoxViewBuilder::ModeType mode) |
Sets the mode type Created in NX8.0.0. | |
void | SetSelectedView (NXOpen::ModelingView *selectedView) |
Sets the selected view Created in NX8.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class is used to construct the add remove box view Builder
To create a new instance of this class, use Drawings::DraftingViewCollection::CreateAddRemoveBoxViewBuilder
Created in NX8.0.0.
NXOpen::Drawings::AddRemoveBoxViewBuilder::ModeType NXOpen::Drawings::AddRemoveBoxViewBuilder::Mode | ( | ) |
Returns the mode type
Created in NX8.0.0.
License requirements : None
NXOpen::ModelingView* NXOpen::Drawings::AddRemoveBoxViewBuilder::SelectedView | ( | ) |
Returns the selected view
Created in NX8.0.0.
License requirements : None
void NXOpen::Drawings::AddRemoveBoxViewBuilder::SetMode | ( | NXOpen::Drawings::AddRemoveBoxViewBuilder::ModeType | mode | ) |
Sets the mode type
Created in NX8.0.0.
License requirements : None
mode | mode |
void NXOpen::Drawings::AddRemoveBoxViewBuilder::SetSelectedView | ( | NXOpen::ModelingView * | selectedView | ) |
Sets the selected view
Created in NX8.0.0.
License requirements : None
selectedView | selectedview |